﻿using System;
using System.ComponentModel;

namespace TheGameExtreme.model
{
    public class Card : INotifyPropertyChanged
    {

        public event PropertyChangedEventHandler PropertyChanged;
        private int value;
        public int Value
        {
            get { return value; }
            set {
                this.value = value;
                OnPropertyChange("Value");
            }
        }
        private void OnPropertyChange(string v)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(v));
        }

        public Effect Effect { get; private set; }


        public Card(int value)
        {
            Value = value;
        }

    }
}
